classification
Title: test_locale doesn't use unittest
Type: Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, christian.heimes, pitrou
Priority: normal Keywords: patch

Created on 2008-01-18 11:29 by pitrou, last changed 2008-07-25 20:55 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
locale_test.patch pitrou, 2008-01-18 13:45
Messages (9)
msg60085 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-01-18 11:29
test_locale uses its own result printout and doesn't throw an exception
when a test fails. It should be probably converted to unittest.
msg60089 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-18 12:01
A patch is welcome.

Was the test covered by a GHOP task?
msg60090 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-01-18 12:19
> A patch is welcome.

I'll try to work on it in a few days.

> Was the test covered by a GHOP task?

Hmm, what is a "GHOP task"?
msg60091 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-01-18 13:45
Ok, here is an almost straight conversion of the original test_locale to
unittest.
msg61933 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-01-31 21:54
An improved version of this patch is now included in the proposed patch
for #1222 :)
msg61934 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-01-31 21:56
An improved version of this patch is now included in the proposed patch
for #1222 :)
msg61954 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-02-01 10:09
I think that we should separate this from #1222, and have two steps:
- first change test_locale, without any modification to localemodule.
- then add features and more tests.
msg61958 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-02-01 12:01
Well it was how I planned to do it at first (hence this bug entry) :-)
I can still try to split the #1222 patch if it makes things easier (but
does it?).
msg70273 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2008-07-25 20:55
Done in r65237. Hopefully it won't break in weird ways on some platforms...
History
Date User Action Args
2008-07-25 20:55:07pitrousetstatus: open -> closed
resolution: fixed
messages: + msg70273
2008-02-17 22:12:37brett.cannonsetkeywords: + patch
2008-02-01 12:01:43pitrousetmessages: + msg61958
2008-02-01 10:09:55amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg61954
2008-01-31 21:56:03pitrousetmessages: + msg61934
2008-01-31 21:54:21pitrousetmessages: + msg61933
2008-01-18 13:45:55pitrousetfiles: + locale_test.patch
messages: + msg60091
2008-01-18 12:19:06pitrousetmessages: + msg60090
2008-01-18 12:01:38christian.heimessetpriority: normal
nosy: + christian.heimes
messages: + msg60089
2008-01-18 11:29:36pitroucreate